#
# spec file for package mrtg (Version 2.9.17)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  freetype2 gd gd-devel libjpeg libpng perl xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex freetype2 gawk gcc gd gd-devel gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libjpeg libpng libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         mrtg
Copyright:    GPL
Group:        Networking/Utilities
Autoreqprov:  on
Version:      2.9.17
Release:      47
Summary:      The Multi Router Traffic Grapher
URL:          http://www.mrtg.org
Source:       %{name}-%{version}.tar.bz2
Source1:      README.SuSE
Patch:        %{name}-%{version}.patch
BuildRoot:    %{_tmppath}/%{name}-root

%description
MRTG - The Multi Router Traffic Grapher
A tool to visualise network traffic via a WebPage.

Authors:
--------
    Tobias Oetiker <oetiker@ee.ethz.ch>
    Dave Rand <dlr@bungi.com>

SuSE series: n

%prep
%setup
%patch
cp -v %{S:1} ./

%build
%define prefix   /usr
%define sysconfdir /etc
%{suse_update_config}
aclocal
autoconf
CFLAGS="$RPM_OPT_FLAGS -O2 -Wall -pipe" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
                                                                  --mandir=%{_mandir} \
                                                                  --prefix=%{prefix} \
                                                                  --exec-prefix=%{prefix} \
                                                                  --infodir=%{_infodir} \
                                                                  --sysconfdir=%{sysconfdir} \
                                                                  --with-rrd \
		                                                  --with-gd-inc=/usr/include/gd
make

%install
rm -rf $RPM_BUILD_ROOT
%define perl_sitelib   %(eval "`perl -V:installsitelib`"; echo $installsitelib)
make DESTDIR=$RPM_BUILD_ROOT/ datadir=%{perl_sitelib} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc ANNOUNCE COPYING COPYRIGHT README README.SuSE CHANGES THANKS doc/*.{pod,html,wml,txt,png}
%doc %{_mandir}/*/*
/usr/bin/*
%{prefix}/lib/mrtg2

%changelog -n mrtg
* Wed Sep 19 2001 - adostal@suse.cz
- create README.SuSE (fix for outputs images)
* Mon Aug 06 2001 - adostal@suse.cz
- update to version 2.9.17
* Wed Mar 21 2001 - ro@suse.de
- changed neededforbuild to freetype2
* Mon Feb 26 2001 - cihlar@suse.cz
- update to version 2.9.10
- install data to /usr/lib/mrtg2 [#6511]
* Sat Dec 02 2000 - smid@suse.cz
- new version 2.9.4
* Tue Nov 21 2000 - ro@suse.de
- compile fix
* Wed Nov 15 2000 - ro@suse.de
- fixed neededforbuild gdlib -> gd gd-devel
* Thu Jun 08 2000 - cihlar@suse.cz
- uncomment %%clean
* Wed May 10 2000 - smid@suse.cz
- upgrade to 2.8.12
- buildroot added
* Mon Oct 11 1999 - ro@suse.de
- update to 2.8.8
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Wed Nov 18 1998 - ro@suse.de
- use gdlib: it's been here as separate package
- adapted paths to perl5.00502
* Mon Mar 02 1998 - florian@suse.de
- update to version 2.5.2
* Mon Feb 09 1998 - florian@suse.de and ch@suse.de
- new package (v2.5.1)
